## bzr-builddeb 2.7.3

=== debian/changelog ===
bzr-builddeb (2.7.3) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Avoid opening upstream branch when it is not necessary. LP: #730589
  * Retrieve the upstream branch URL from Launchpad in 'bzr merge-upstream'
    if --launchpad is specified. LP: #726460
  * Fix merge of bz2 upstream tarballs. LP: #737012

  [ Max Bowsher ]
  * Do not error if the top changelog entry is not a recognized Debian or
  Ubuntu upload target.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Apr 2011 23:17:34 +0200

bzr-builddeb (2.7.2) unstable; urgency=high

  [ Andrew Mitchell ]
  * Add upstream/ directory to setup.py. Closes: #618380. LP: #735147

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 14 Mar 2011 23:27:25 +0100

bzr-builddeb (2.7.1) unstable; urgency=low

  * Add Ubuntu oneiric and Debian wheezy to the list of supported
    distributions.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Mar 2011 11:18:52 +0100

bzr-builddeb (2.7) unstable; urgency=low

  [ James Westby ]

  * Accept None as a valid previous_version value in merge_upstream().
    LP: #680945

  [ Jelmer Vernooij ]

  * Support 'bzr tags --sort=debversion'. Closes: #701244.
  * When adding a changelog entry, support git and svn snapshots.
  * Automatically use debian/source/format if package is native. Closes:
    #586617
  * Fix "bzr builddeb" if last upload was not to a Ubuntu release pocket.
    LP: #709263
  * If possible use uscan to find the latest upstream version string.
    LP: #295274
  * Add --snapshot option to merge-upstream.
  * 'bzr merge-upstream' now also works in merge mode, and will simply
    add a new entry for new upstream versions.
  * merge-upstream will now keep epochs around. LP: #622678
  * 'bzr builddeb' now searches for directories relative to the working
    tree rather than relative to the branch. Closes: #676456
  * Use enums for build types, and a priority scheme to figure out the
    build type. LP: #655277
  * Fix finding upstream tarball when get-orig-source is not available.
    Closes: #552893
  * merge-upstream now looks at the package source format to see what
    kind of compression is supported on tarballs. LP: #627718
  * Support upstream version strings containing dashes. Patch by Stefano
    Rivera. LP: #711826
  * Run test suite unless nocheck is set (consistent with policy).
  * Fix build dependencies for test suite.
  * Support unversioned debian/ symlink in working tree when finding
    changelog and larstiq mode. LP: #619295
  * The deb: directory service has been renamed to apt: to avoid
    confusion.
  * When building with distribution set to UNRELEASED, it is now assumed
    the build is targetted at the same distribution as the build before.
  * A hook for 'bzr merge-upstream' has been added. LP: #657501
  * Support running the test suite in parallel during package build.
  * Pristine tarballs are now automatically created when merging upstream
    from a branch. Closes: #517867

  [ Max Bowsher ]

  * Add devscripts to Build-Depends-Indep, the test suite runs dch.

  [ Jelmer Vernooij ]
  * The 'export-upstream' configuration option is now deprecated in
    favour of 'upstream-branch'. LP: #730293
  * Switch to dh_python2. Closes: #616752

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 12:28:08 +0100

bzr-builddeb (2.5.1) unstable; urgency=low

  [ James Westby ]

  * Don't fail if asked to use a .bz2 tarball that is already in the desired
    location. LP: #616786
  * Don't crash if we are asked to merge-upstream with an unrelated branch.
    LP: #619614.
  * Don't strip -n from the version we get in merge-upstream, as some
    upstreams have this in there, and trying to support both means supporting
    both badly. If you are used to doing "bzr merge-upstream --version
    <package version>" then it will no longer work for you, use the
    upstream version instead.
  * Don't crash when doing merge-upstream with a branch that does a rename
    and then ships another file with the old path in the tarball that isn't
    in the branch.
  * Accept None as a valid previous_version value in merge_upstream(). LP: #680945

  [ Jelmer Vernooij ]

  * Fix the auto-detection of merge mode.
  * Don't crash on merge mode packages where there is no export-upstream
    if we can't find the tarball.
  * Determine Bazaar home directory using bzrlib to prevent test
    isolation issues. LP: #614125
  * Support 'bzr tags --sort=debversion'. Closes #701244.
  * When adding a changelog entry, support git and svn snapshots.
  * Automatically use debian/source/format if package is native. Closes:
    #586617
  * Fix "bzr builddeb" if last upload was not to a Ubuntu release pocket.
    LP: #709263
  * If possible use uscan to find the latest upstream version string.
    LP: #295274
  * Add --snapshot option to merge-upstream.
  * 'bzr merge-upstream' now also works in merge mode, and will simply
    add a new entry for new upstream versions.
  * merge-upstream will now keep epochs around. LP: #622678
  * 'bzr builddeb' now searches for directories relative to the working
    tree rather than relative to the branch. Closes: #676456
  * Use enums for build types, and a priority scheme to figure out the
    build type. LP: #655277
  * Fix finding upstream tarball when get-orig-source is not available.
    Closes: #552893
  * merge-upstream now looks at the package source format to see what
    kind of compression is supported on tarballs. LP: #627718
  * Support upstream version strings containing dashes. Patch by Stefano
    Rivera. LP: #711826
  * Run test suite unless nocheck is set (consistent with policy).
  * Fix build dependencies for test suite.
  * Support unversioned debian/ symlink in working tree when finding
    changelog and larstiq mode. LP: #619295
  * The deb: directory service has been renamed to apt: to avoid
    confusion.
  * Add --strict argument to 'bzr builddeb'. LP: #521341

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Feb 2011 14:25:32 +0100

## bzr-builddeb 2.7.3ubuntu1

=== debian/changelog ===
bzr-builddeb (2.7.3ubuntu1) natty-proposed; urgency=low

  * Delete debian/bzr-builddeb.dirs so the long obsolete and empty
    /usr/lib/python2.4/site-packages/bzrlib/plugins/bzr-builddeb/ is no
    longer created (LP:  #801757)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Jun 2011 16:48:54 -0400

=== debian/control ===
Source: bzr-builddeb
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3)
Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts, python-subunit
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
X-Python-Version: >= 2.4
Standards-Version: 3.9.1

Package: bzr-builddeb
Architecture: all
Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts, patchutils, pristine-tar, ${misc:Depends}
Recommends: python-launchpadlib
Suggests: bzr-svn (>= 0.4.10)
Provides: bzr-buildpackage
Description: bzr plugin for Debian package management
 bzr-builddeb is a plugin for the bzr version control system that helps to
 automate the task of maintaining Debian packages using bzr. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a bzr branch, optionally using a separate
 upstream tarball.

## bzr-builddeb 2.7.7

=== debian/changelog ===
bzr-builddeb (2.7.7) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Build type now defaults to normal mode when used in an empty tree.
    LP: #776528

  [ Andrew Bennetts ]
  * Use dpkg-mergechangelogs(1) to merge changelog files.
   + Preserve the existing ordering of changelog entries when merging.
     LP: #718944
   + Additional changelog entries are modified when merging another branch.
     LP: #552950
   + 3-way changelog file merge doesn't do textual merging on sections.
     LP: #517093
   + 3-way changelog file merge doesn't support deletions. LP: #517090

  [ Jelmer Vernooij ]
  * Add python-lzma to build dependencies, for use in test suite.
  * Recommend libalgorithm-merge-perl, required for conflict resolution
    in dpkg-mergechangelogs.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 15:10:18 +0200

bzr-builddeb (2.7.6) unstable; urgency=low

  * Bump standards version to 3.9.2 (no changes).
  * Fix AttributeError in incremental imports using 'bzr import-dsc'.
    LP: #812950
  * Support --package-merge for the first package version. LP: #812704

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 17:35:39 +0200

bzr-builddeb (2.7.5) unstable; urgency=low

  [ Jelmer Vernooij ]
  * New 'bzr dep3-patch' subcommand that can generate DEP-3 compliant
    patches. LP: #460576

  [ Jonathan Riddell ]
  * Use new set_commit_message() hook in bzr to set the commit
    message from debian/changelog and set fixed bugs in tags. LP: #707274

  [ Jelmer Vernooij ]
  * Add dependency on devscripts >= 2.10.59, required now that 'dch --
    package' is used. LP: #783122
  * Fix support for native packages with dashes in their version in
    sources.list. LP: #796853
  * Fix deprecation warnings for TestCase.failUnlessExists and
    TestCase.failIfExists in bzr 2.4.

  [ Scott Kitterman ]
  * Delete debian/bzr-builddeb.dirs so the long obsolete and empty
    /usr/lib/python2.4/site-packages/bzrlib/plugins/bzr-builddeb/ is no
    longer created. Closes: #631564

  [ Jelmer Vernooij ]
  * Add support for xz and lzma tarballs. LP: #553668
  * When importing upstream component tarballs, don't repack bz2/lzma
    tarballs to gz if the package is in v3 source format. LP: #810531

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 15 Jul 2011 12:15:22 +0200

bzr-builddeb (2.7.4) unstable; urgency=low

  [ Jelmer Vernooij ]
  * In 'bzr merge-upstream', don't ignore upstream branch when upstream
    version can not be found.  LP: #772424
  * Automatically determine the version from the tarball name if possible.
    LP: #773199
  * Use --create when merging a new upstream into a branch that doesn't have a
    changelog file. LP: #385667
  * Fix merging of upstream in new packages. LP: #772225

  [ Max Bowsher ]
  * Add python-bzrlib.tests to Build-Depends-Indep.

 -- Max Bowsher <maxb@f2s.com>  Fri, 06 May 2011 00:36:30 +0100

## bzr-builddeb 2.7.8

=== debian/changelog ===
bzr-builddeb (2.7.8) unstable; urgency=low

  * Improve error message when tag for upstream version can not be
    found. LP: #783882
  * Cope with newer versions of bzr raising IOError rather than
    NoSuchFile error. LP: #831351, Closes: #638219

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 31 Aug 2011 03:40:12 +0200

=== debian/control ===
Source: bzr-builddeb
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3)
Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
X-Python-Version: >= 2.4
Standards-Version: 3.9.2

Package: bzr-builddeb
Architecture: all
Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, ${misc:Depends}
Recommends: python-launchpadlib, libalgorithm-merge-perl
Suggests: bzr-svn (>= 0.4.10), python-lzma
Provides: bzr-buildpackage
Description: bzr plugin for Debian package management
 bzr-builddeb is a plugin for the bzr version control system that helps to
 automate the task of maintaining Debian packages using bzr. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a bzr branch, optionally using a separate
 upstream tarball.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

doc_dir=doc/user_manual/
rst_docs=$(wildcard $(addsuffix /*.rst, $(doc_dir)))
html_docs=$(patsubst %.rst, %.html, $(rst_docs))

%.html: %.rst
	rst2html --stylesheet-path=$(doc_dir)/user_manual.css $< > $@

docs: $(html_docs)

build: $(PYVERS:%=build-python%) docs
	rst2html README > README.html
	touch $@

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_PARALLEL = --parallel=fork
else
SELFTEST_CONCURRENCY =
SELFTEST_PARALLEL =
endif

build-python%:
	python$* setup.py build
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SELFTEST_CONCURRENCY) BZR_PLUGINS_AT=builddeb@$(CURDIR) python$* /usr/bin/bzr selftest \
	    $(SELFTEST_PARALLEL) -v -s bp.builddeb
endif
	touch $@-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-all-stamp build-python*-stamp
	rm -f $(html_docs)
	rm -f README.html

	python setup.py clean --all
	dh_clean

install: build $(PYVERS:%=install-python%)

install-all-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	touch install-all-stamp

install-python%: install-all-stamp
	python$* setup.py install --root=$(CURDIR)/debian/bzr-builddeb --no-compile --install-layout=deb

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bzr-builddeb 2.7.8ubuntu0.1

=== debian/changelog ===
bzr-builddeb (2.7.8ubuntu0.1) oneiric-proposed; urgency=low

  * util.py: Add precise to list of Ubuntu releases (LP: #876888).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 28 Oct 2011 12:51:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bzr-builddeb
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>, Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3)
 Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl

## bzr-builddeb 2.7.9

=== debian/changelog ===
bzr-builddeb (2.7.9) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Support .tar.xz Debian files rather than .tar.lzma.

  [ Martin Packman ]
  * Support non-ascii characters in changelog entry when determining
    commit message. LP: #853664

  [ Jelmer Vernooij ]
  * Use more complete control file during examples. Closes: #642818

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Oct 2011 21:27:05 +0200

## bzr-builddeb 2.8.0

=== debian/changelog ===
bzr-builddeb (2.8.0) unstable; urgency=low

  [ Jonathan Riddell ]
  * Add get-orig-source command which will get the upstream tar file.
    LP: #862188
  * Change "bd-do" command to "builddeb-do" and alias "bd-do".
  * Add commit-message-from-changelog option for those who do not
    want commit message set automatically

  [ Jelmer Vernooij ]
  * Support importing and building packages with multiple upstream
    tarballs. LP: #653757, LP: #664834
  * Move .bzr-builddeb/default.conf to debian/bzr-builddeb.conf.
    LP: #793137
  * Fix test suite on Lucid, where dpkg-mergechangelogs is not available.

  [ Martin Packman ]
  * Fix test_utf8_changelog when run with older versions of python-debian.

  [ Jelmer Vernooij ]
  * Support svn-buildpackage tag names to find upstream versions.
    LP: #874263
  * Support --revision argument to merge-package. LP: #888590
  * By default, don't override the commit message from debian/changelog
    unless 'commit-message-from-changelog' is explicitly set to True. LP: #812749
  * Support running dep3-patch against remote repositories, and with
    open-ended revision ranges. LP: #893608
  * Fix finding orig tarballs in directories also containing filenames
    with non-utf8 characters. LP: #865753
  * bzr-builddeb now prefers the 'get-packaged-orig-source' rule to
    retrieve the packaged upstream source, and warns about
    'get-orig-source'. LP: #409862
  * Support translations.

  [ Martin Packman ]
  * Deal with invalid versions and bad encoding in the changelog merge
    hook. LP: #893495

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 16 Dec 2011 19:58:57 +0100

=== debian/control ===
Source: bzr-builddeb
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3)
Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
X-Python-Version: >= 2.4
Standards-Version: 3.9.2

Package: bzr-builddeb
Architecture: all
Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, ${misc:Depends}, python-distro-info
Recommends: python-launchpadlib, libalgorithm-merge-perl
Suggests: bzr-svn (>= 0.4.10), python-lzma
Provides: bzr-buildpackage
Description: bzr plugin for Debian package management
 bzr-builddeb is a plugin for the bzr version control system that helps to
 automate the task of maintaining Debian packages using bzr. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a bzr branch, optionally using a separate
 upstream tarball.

## bzr-builddeb 2.8.2

=== debian/changelog ===
bzr-builddeb (2.8.2) unstable; urgency=low

  * Only warn about unapplying quilt patches when there are actually
    patches to unapply.
  * Don't throw a traceback when quilt unapplying fails.
  * Read configuration from original working tree, in case there are
    conflicts during merge.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Jan 2012 14:45:04 +0100

bzr-builddeb (2.8.1) unstable; urgency=low

  * New revision specifier 'upstream:'. LP: #905728
  * Imports are now deferred in command definitions, to speed up
    commands like 'bzr bash-completion'. LP: #903650
  * Provide merge-package functionality as a hook for 'bzr merge'.
    LP: #486075, LP: #910900
  * Add pre-commit hook that warns about applied quilt patches, and can
    automatically unapply/apply all quilt patches. LP: #608670
  * Automatically unapply patches before merge operations.
    LP: #815854
  * Include full changelog paths that were checked in error message.
    LP: #811459
  * Cope with unicode strings being specified to TarfileSource. Based on
    patch by Gediminas Paulauskas. LP: #911262
  * Automatically apply patches for 3.0 (quilt) packages in 'bzr bd-do'
    and 'bzr bd'. LP: #616791
  * Switch to source format '3.0 (native)'.
  * Skip import tests for .tar.xz if not supported by pristine-tar.
    Closes: #655463, LP: #917112

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 18 Jan 2012 01:24:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>, Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3)
-Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info
+Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt, bzr-svn
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
 X-Python-Version: >= 2.4

## bzr-builddeb 2.8.3

=== debian/changelog ===
bzr-builddeb (2.8.3) unstable; urgency=low

  * Fix patch unapplying from DirStateRevisionTrees. LP: #923688
  * Bump distro-info dependency back to a recommends, to ease
    backporting.
  * Cope with the deprecation of Tree.inventory in bzr/2.6. LP: #934247
  * Generate xz files with the 'xz' utility rather than the Python
    'lzma' module, as the latter uses options not supported by pristine-
    xz. Closes: #660721
  * Merge fix from Joel Pickett to fix typo in orig-dir option help
    description. LP: #945413
  * Bump standards version to 3.9.3 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Mar 2012 20:47:07 +0100

=== debian/control ===
Source: bzr-builddeb
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.6.6-3), xz-utils
Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt, bzr-svn
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
X-Python-Version: >= 2.4
Standards-Version: 3.9.3

Package: bzr-builddeb
Architecture: all
Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, ${misc:Depends}
Recommends: python-launchpadlib, libalgorithm-merge-perl, python-distro-info
Suggests: bzr-svn (>= 0.4.10), python-lzma
Provides: bzr-buildpackage
Description: bzr plugin for Debian package management
 bzr-builddeb is a plugin for the bzr version control system that helps to
 automate the task of maintaining Debian packages using bzr. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a bzr branch, optionally using a separate
 upstream tarball.

## bzr-builddeb 2.8.4

=== debian/changelog ===
bzr-builddeb (2.8.4) unstable; urgency=low

  * Add dependency on quilt. LP: #951207
  * Cope with missing tags when looking up upstream versions.
  * Skip quilt unapplying for trees that can not be copied (such as
    _PreviewTree). LP: #950419
  * Document the argument for --export-upstream. LP: #959065

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Mar 2012 11:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: bzr-builddeb
 Architecture: all
-Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, ${misc:Depends}
+Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}
 Recommends: python-launchpadlib, libalgorithm-merge-perl, python-distro-info
 Suggests: bzr-svn (>= 0.4.10), python-lzma
 Provides: bzr-buildpackage

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,13 @@
 
 docs: $(html_docs)
 
-build: $(PYVERS:%=build-python%) docs
+build-indep: $(PYVERS:%=build-python%) docs
 	rst2html README > README.html
 	touch $@
+
+build-arch:
+
+build: build-indep
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 SELFTEST_CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -45,7 +49,7 @@
 	python setup.py clean --all
 	dh_clean
 
-install: build $(PYVERS:%=install-python%)
+install: build-indep $(PYVERS:%=install-python%)
 
 install-all-stamp:
 	dh_testdir
@@ -57,7 +61,7 @@
 install-python%: install-all-stamp
 	python$* setup.py install --root=$(CURDIR)/debian/bzr-builddeb --no-compile --install-layout=deb
 
-binary-indep: build install
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_install
@@ -73,7 +77,7 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-arch: build install
+binary-arch: build-arch install
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep

## bzr-builddeb 2.8.7

=== debian/changelog ===
bzr-builddeb (2.8.7) unstable; urgency=low

  * tests/blackbox/test_import_dsc.py:
   - Explicitly pass '--format=1.0' to dpkg-source inorder to
     silence "no source format specified" warnings printed to
     stderr (Closes: #711042).
  * tests/test_import_dsc.py:
   - As of dpkg 1.17.0, source format '3.0 (native)' strictly
     enforces that native packages do not have a Debian revision.
     Use "0.1" instead of "0.1-1" for the version number in
     test_extract_format3_native (Closes: #720003). 
  * debian/control: Add myself to Uploaders.
  * debian/tests/control:
   - Remove the depricated no-build-needed Features flag and add
     Restrictions: allow-stderr.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 10 Sep 2013 19:05:58 -0400

bzr-builddeb (2.8.6) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Move to minimal dh style rules file. 
  * Drop bzr-svn from Build-Depends-Indep and Suggests (Closes: #709288).
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop deprecated debian/pycompat and debian/pyversions files.
  * Add autopkgtests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 22 May 2013 14:03:43 -0400

bzr-builddeb (2.8.5) experimental; urgency=low

  * Cope with quilt output being empty in error message. LP: #1014543
  * Remove myself and Reinhard from uploaders.
  * Don't consider .gitignore when looking for upstream sources.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 09 Jul 2012 12:04:50 +0200

=== debian/control ===
Source: bzr-builddeb
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
X-Python-Version: >= 2.4
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: bzr-builddeb
Architecture: all
Depends: bzr (>= 2.1~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, devscripts (>= 2.10.59), patchutils, pristine-tar, quilt, ${misc:Depends}
Recommends: python-launchpadlib, libalgorithm-merge-perl, python-distro-info
Suggests: python-lzma
Provides: bzr-buildpackage
Description: bzr plugin for Debian package management
 bzr-builddeb is a plugin for the bzr version control system that helps to
 automate the task of maintaining Debian packages using bzr. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a bzr branch, optionally using a separate
 upstream tarball.

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-bzrlib.tests, python-subunit, python-testtools, python-lzma
Restrictions: allow-stderr

## bzr-builddeb 2.8.7ubuntu1

=== debian/changelog ===
bzr-builddeb (2.8.7ubuntu1) trusty; urgency=low

  * debian/tests/control: Add python-distro-info and libalgorithm-merge-perl
    to test depends; the former is required to compare release names and the
    latter for dpkg-mergechangelogs to generate the expected output (it does
    different things with conflicts in 3-way merges depending on the presence
    of this library).

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 23 Oct 2013 10:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bzr-builddeb
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
 Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

doc_dir=doc/user_manual/
rst_docs=$(wildcard $(addsuffix /*.rst, $(doc_dir)))
html_docs=$(patsubst %.rst, %.html, $(rst_docs))

%:
	dh $* --with python2 --buildsystem=python_distutils

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
SELFTEST_PARALLEL = --parallel=fork
else
SELFTEST_CONCURRENCY =
SELFTEST_PARALLEL =
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SELFTEST_CONCURRENCY) BZR_PLUGINS_AT=builddeb@$(CURDIR) python$* /usr/bin/bzr selftest \
	    $(SELFTEST_PARALLEL) -v -s bp.builddeb
endif

%.html: %.rst
	rst2html --stylesheet-path=$(doc_dir)/user_manual.css $< > $@

override_dh_auto_build-indep: $(html_docs)
	rst2html README > README.html

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(html_docs)
	rm -f README.html

=== debian/tests/control ===
Tests: testsuite
Depends: @, python-bzrlib.tests, python-subunit, python-testtools, python-lzma, python-distro-info, libalgorithm-merge-perl
Restrictions: allow-stderr

## bzr-builddeb 2.8.9

=== Makefile ===
all: update-pot

.PHONY: update-pot po/bzr-builddeb.pot
update-pot: po/bzr-builddeb.pot

TRANSLATABLE_PYFILES:=$(shell find . -name '*.py' \
		| grep -v 'tests/' \
		)

po/bzr-builddeb.pot: $(PYFILES) $(DOCFILES)
	BZR_PLUGINS_AT=builddeb@$(shell pwd) bzr export-pot \
          --plugin=builddeb > po/bzr-builddeb.pot
	echo $(TRANSLATABLE_PYFILES) | xargs \
	  xgettext --package-name "bzr-builddeb" \
	  --msgid-bugs-address "<bazaar@lists.canonical.com>" \
	  --copyright-holder "Canonical Ltd. <bazaar@lists.canonical.com>" \
	  --from-code ISO-8859-1 --sort-by-file --join --add-comments=i18n: \
	  -d bzr-builddeb -p po -o bzr-builddeb.pot

=== debian/changelog ===
bzr-builddeb (2.8.9) unstable; urgency=medium

  * Use canonical URL in Vcs-Bzr control header.
  * Use Canonical URL in Vcs-Browser field.
  * Re-add myself to uploaders.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 23:28:39 +0200

bzr-builddeb (2.8.8) unstable; urgency=low

  [ Iain Lane ]
  * debian/tests/control: Add python-distro-info and libalgorithm-merge-perl
    to test depends; the former is required to compare release names and the
    latter for dpkg-mergechangelogs to generate the expected output (it does
    different things with conflicts in 3-way merges depending on the presence
    of this library). (Closes: #727238)

  [ Andrew Starr-Bochicchio ]
  * Display a helpful error message if dh-make is not installed (LP: #641418).
  * Deprecate --v3 option for the dh-make command. dh_make has been
    creating v3 source packages since 2010 (LP: #811723).
  * quilt.py: quilt_unapplied should only return patch basenames regardless
    of whether or not QUILT_PATCHES_PREFIX is set. Fixes test failure with
    quilt > 0.63-2.
  * import_dsc.py: Use calendar.timegm instead of time.mktime when importing
    the timestamp. Thanks to Anders Kaseorg! (LP: #475983).
  * Bump Standards-Version to 3.9.5, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 14 May 2014 00:24:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bzr-builddeb
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>, Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
 Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
+Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr-builddeb/unstable
+Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-bazaar/bzr-builddeb/unstable
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 
 Package: bzr-builddeb

## bzr-builddeb 2.8.10

=== debian/changelog ===
bzr-builddeb (2.8.10) unstable; urgency=medium

  * Bump standards version to 3.9.8 (no changes).
  * Re-add myself to uploaders.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Jul 2016 13:33:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>, Jelmer Vernooij <jelmer@debian.org>
+Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>, Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
-Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), python-lzma, libalgorithm-merge-perl, python-distro-info, quilt
+Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests, python-lzma, libalgorithm-merge-perl, python-distro-info, quilt
 Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr-builddeb/unstable
 Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-bazaar/bzr-builddeb/unstable
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 XS-Testsuite: autopkgtest
 
 Package: bzr-builddeb

## bzr-builddeb 2.8.11

=== debian/changelog ===
bzr-builddeb (2.8.11) unstable; urgency=medium

  * Fix Vcs-Bzr URLs.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 25 Sep 2018 04:17:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>, Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), xz-utils
 Build-Depends-Indep: bzr (>= 2.1~), python-docutils, python-debian (>= 0.1.11), python-apt, patchutils, python-testtools (>= 0.9.2), pristine-tar, devscripts (>= 2.10.59), python-subunit, python-bzrlib.tests, python-lzma, libalgorithm-merge-perl, python-distro-info, quilt
-Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr-builddeb/unstable
-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-bazaar/bzr-builddeb/unstable
-X-Python-Version: >= 2.4
+Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-debian/unstable
+Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-debian/unstable
 Standards-Version: 3.9.8
-XS-Testsuite: autopkgtest
 
 Package: bzr-builddeb
 Architecture: all

## bzr-builddeb 2.8.11+nmu1

=== debian/changelog ===
bzr-builddeb (2.8.11+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:41:55 +0800

## bzr-builddeb 2.8.12+brz

=== debian/changelog ===
bzr-builddeb (2.8.12+brz) unstable; urgency=medium

  * Change package to transition users to brz-debian.
  * Move transitional package bzr-builddeb to oldlibs/optional per
    policy 4.0.1.
  * Add missing colon in closes line.
  * Bump standards version to 4.4.0.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Sep 2019 22:35:58 +0000

=== debian/control ===
Source: bzr-builddeb
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: James Westby <james.westby@ubuntu.com>, Andrew Starr-Bochicchio <asb@debian.org>, Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 12)
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-debian/experimental
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-debian/experimental
Standards-Version: 4.4.0

Package: bzr-builddeb
Architecture: all
Depends: ${misc:Depends}, brz-debian
Description: transitional dummy package
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging.
 .
 It can be safely removed after an upgrade.
Section: oldlibs
